Acquirer Transactions
Cancel Transaction
PUT
https://api.druo.com/transactions/cancelCancels a pending or active transaction.
Cancels an in-progress transaction using its unique transaction UUID and token. This endpoint requires Bearer Token authentication.
Request body
An idempotency key created to prevent double-processing of the cancellation request.
The unique identifier of the payment token.
The unique identifier of the transaction to cancel.
Response
The unique identifier of the transaction.
Example:
trx_422f0f81-5001-4cce-a229-242d9ab9960aThe current status of the transaction.
Possible values:
PROCESSINGSUCCESSFULFAILEDCANCELEDExample:
SUCCESSFULThe reason why the transaction was declined, if applicable.
Example:
INSUFFICCIENT_FUNDS
